# $Revision: 1.25 $, $Date: 2008-01-14 19:24:24 $
%define		realname	SDL
Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library - Mingw32 cross version
Summary(pl.UTF-8):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediów - wersja skrośna dla Mingw32
Name:		crossmingw32-%{realname}
Version:	1.2.13
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.libsdl.org/release/%{realname}-%{version}.tar.gz
# Source0-md5:	c6660feea2a6834de10bc71b2f8e4d88
Patch0:		%{realname}-mmx-constraints.patch
Patch1:		%{realname}-acfix.patch
URL:		http://www.libsdl.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-runtime
BuildRequires:	crossmingw32-w32api
BuildRequires:	crossmingw32-w32api-dx
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	nasm
BuildRequires:	perl-modules
BuildConflicts:	crossmingw32-dx70
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
# alpha's -mieee and sparc's -mtune=* are not valid for target's gcc
%define		optflags	-O2
%endif

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

This package contains the cross version for Win32.

%description -l pl.UTF-8
SDL (Simple DirectMedia Layer) jest biblioteką udostępniającą
przenośny, niskopoziomowy dostęp do bufora ramki video, wyjścia audio,
myszy oraz klawiatury. Może obsługiwać zarówno okienkowy tryb XFree86
jak i DGA. Konstruując ją miano na uwadze przenośność: aplikacje
konsolidowane z SDL można również budować w systemach Win32 i BeOS.

Ten pakiet zawiera wersję skrośną dla Win32.

%description -l pt_BR.UTF-8
Esse é o Simple DirectMedia Layer, uma API genérica que dá acesso de
baixo nível a áudio, teclado, mouse e vídeo em várias plataformas.

Essa biblioteca é usada por alguns jogos.

%package static
Summary:	Static SDL library (cross mingw32 version)
Summary(pl.UTF-8):	Statyczna biblioteka SDL (wersja skrośna mingw32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static SDL library (cross mingw32 version).

%description static -l pl.UTF-8
Statyczna biblioteka SDL (wersja skrośna mingw32).

%package dll
Summary:	SDL - DLL library for Windows
Summary(pl.UTF-8):	SDL - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
SDL - DLL library for Windows.

%description dll -l pl.UTF-8
SDL - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--target=%{target} \
	--host=%{target} \
	--enable-nasm \
	--disable-stdio-redirect

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_dlldir},%{_sysprefix}/bin}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}
ln -s %{_bindir}/sdl-config $RPM_BUILD_ROOT%{_sysprefix}/bin/%{target}-sdl-config

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/{aclocal,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS README README-SDL.txt TODO WhatsNew
%attr(755,root,root) %{_sysprefix}/bin/%{target}-sdl-config
%attr(755,root,root) %{_bindir}/sdl-config
%{_libdir}/libSDL.dll.a
%{_libdir}/libSDL.la
%{_libdir}/libSDLmain.a
%{_includedir}/SDL
%{_pkgconfigdir}/sdl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/SDL.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-SDL.spec,v $
Revision 1.25  2008-01-14 19:24:24  qboosh
- unified macros order

Revision 1.24  2008-01-09 20:34:42  qboosh
- updated to 1.2.13
- force %{_lib}-independent libdir

Revision 1.23  2007-08-13 16:21:18  qboosh
- LGPL v2.1+

Revision 1.22  2007/08/13 05:51:57  qboosh
- updated to 1.2.12

Revision 1.21  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.19  2006/07/01 15:50:27  qboosh
- updated to 1.2.11

Revision 1.18  2006/05/19 21:19:51  qboosh
- updated to 1.2.10

Revision 1.17  2005/08/29 19:10:04  qboosh
- updated to 1.2.9

Revision 1.16  2004/12/17 16:57:24  wolf
- 1.2.8

Revision 1.15  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.14  2004/09/16 17:47:08  qboosh
- don't mark snap as final version

Revision 1.13  2004/09/16 11:41:21  wolf
- up to cvs snap to rebuild with gcc 3.4.2
- strip is broken

Revision 1.12  2004/03/01 11:31:59  wolf
- update to final 1.2.7

Revision 1.11  2004/02/19 18:50:37  qboosh
- release 2

Revision 1.10  2004/02/19 18:30:11  qboosh
- sane target's optflags for alpha and sparc*

Revision 1.9  2004/01/04 14:54:24  wolf
- BR

Revision 1.8  2003/12/29 21:03:00  wolf
- removed obsolete patch

Revision 1.7  2003/12/25 13:42:23  wolf
- BC: crossmingw32-dx70

Revision 1.6  2003/12/23 17:13:09  wolf
- summary

Revision 1.5  2003/12/23 17:11:20  wolf
- copy shared libs too
- don't redirect stdout and stderr to files
- subpackage with windoze dll

Revision 1.4  2003/12/23 15:19:44  wolf
- SDL finally works, though only static linking

Revision 1.3  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.2  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.1  2003/09/04 21:26:38  wolf
- new
